For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
  • CMS
      • GETList Collection Items
      • POSTCreate Collection Item
      • DELRemove Collection Items
      • PUTPublish Collection Items
      • GETGet Collection Item
      • PUTUpdate Collection Item
      • DELRemove Collection Item
      • PATCHPatch Collection Item
      • POSTItem Created
      • POSTItem Updated
      • POSTItem Deleted
      • POSTItem Unpublished
  • Ecommerce
LogoLogo
Resources
Get started
CMSItems

Remove Collection Items

DELETE
https://api.webflow.com/collections/:collection_id/items
DELETE
/collections/:collection_id/items
$curl -X DELETE "https://api.webflow.com/collections/580e63fc8c9a982ac9b8b745/items?live=true" \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deletedItemIds": [
3 "62aa37923cf7a9de1ca4469c",
4 "62aa37923cf7a9de1ca44697",
5 "62aa37923cf7a9de1ca44696"
6 ],
7 "errors": []
8}
Remove or unpublish items in a collection. <aside class="notice"><b>Remove Item</b><br/> The default behavior of the endpoint will delete the item from collection. You cannot retrieve a deleted item. <br/><br/> <aside class="notice"><b>Unpublish Item</b><br/> It is possible to only remove the item from the published site, while maintaining it in your collection. Unpublishing an item will set the item status to Draft. <br/><br/> Append <code>?live=true</code> to the querystring to unpublish an item</aside>
Was this page helpful?
Previous

Publish Collection Items

Next
Built with
Remove or unpublish items in a collection. <aside class=“notice”>Remove Item
The default behavior of the endpoint will delete the item from collection. You cannot retrieve a deleted item.

Unpublish Item
It is possible to only remove the item from the published site, while maintaining it in your collection. Unpublishing an item will set the item status to Draft.

Append ?live=true to the querystring to unpublish an item

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection

Headers

Accept-VersionstringOptional
The API version

Query parameters

livebooleanOptional

Boolean indicating if the item(s) should be published/unpublished to/from the live site

Request

The collection item ids to delete or unpublish
itemIdslist of stringsOptional
Array of item ids to delete or unpublish

Response

Request was successful
deletedItemIdslist of strings
Array of deleted item ids
errorslist of strings
Array of errors

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error